petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSGetDuration

Gets the maximum number of timesteps to use and maximum time for iteration.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetDuration(TS ts, PetscInt *maxsteps, PetscReal *maxtime)

Not Collective

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| maxsteps | - maximum number of iterations to use, or NULL
| maxtime | - final time to iterate to, or NULL

### Keywords

TS, timestep, get, maximum, iterations, time

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16.c.html
src/ts/examples/tutorials/ex19.c.html
src/ts/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex16adj.c.html
src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html